import debug from "debug";
export async function applyRequiredPackagesInMinilinks() {
    const log = debug(`@deep-foundation/capacitor-geolocation:${applyRequiredPackagesInMinilinks.name}`);
    const { data: links } = await this.select({
        up: {
            tree_id: {
                _id: ["@deep-foundation/core", "containTree"],
            },
            parent: {
                _or: this.requiredPackagesInMinilinksToApply.map((packageName) => ({
                    id: {
                        _id: [packageName],
                    },
                })),
            },
        },
    });
    log({ links });
    const minilinksApplyResult = this.minilinks.apply(links);
    log({ minilinksApplyResult });
    this.requiredPackagesInMinilinksToApply = [];
    return minilinksApplyResult;
}
