import { packageLog } from "./package-log.js";
export async function insertPosition(options) {
    const log = packageLog.extend(insertPosition.name);
    log({ options });
    const { position, containerLinkId, id } = options;
    const insertOperations = await this.makePositionInsertOperations({
        position: position,
        containerLinkId: containerLinkId,
        id: id,
    });
    log({ insertOperations });
    const serialResult = await this.serial({ operations: insertOperations });
    log({ serialResult });
    return serialResult;
}
