import { createSerialOperation } from "@deep-foundation/deeplinks/imports/gql/index.js";
import { packageLog } from "./package-log.js";
export async function makePositionValueUpdateOperations(options) {
    const log = packageLog.extend(makePositionValueUpdateOperations.name);
    log({ options });
    const operation = createSerialOperation({
        type: "update",
        table: "objects",
        value: {
            value: options.position,
        },
        exp: {
            link_id: options.id,
        },
    });
    log({ operation });
    return [operation];
}
