import { useState } from "react";
import { useSupportedOperatingSystem } from "../hooks/use-operating-system-checking.js";
export function WithOperatingSystemChecking(options) {
    const { renderIfNotSupported, renderIfSupported, renderIfLoading } = options;
    const [operatingSystem, setOperatingSystem] = useState(undefined);
    const { isLoading, isSupported } = useSupportedOperatingSystem();
    if (isLoading) {
        return renderIfLoading();
    }
    else if (isSupported) {
        return renderIfSupported();
    }
    else {
        return renderIfNotSupported();
    }
}
