import { Device } from "@capacitor/device";
import { useState, useEffect } from "react";
export function useSupportedOperatingSystem() {
    const [isLoading, setIsLoading] = useState(true);
    const [isSupported, setIsSupported] = useState(false);
    useEffect(() => {
        Device.getInfo().then((deviceInfo) => {
            setIsSupported(deviceInfo.operatingSystem === "android" ||
                deviceInfo.operatingSystem === "ios");
            setIsLoading(false);
        });
    }, []);
    return { isLoading, isSupported };
}
